Session withdrawals

Create session withdrawal

Use this method to create a session withdrawal from a filled session withdrawal form. A repeated request with the same identifier returns the created session withdrawal.

POST
/api/v2/my/session-withdrawals

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Header Parameters

accept-language?string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v2/my/session-withdrawals" \  -H "accept-language: ja" \  -H "Content-Type: application/json" \  -d '{    "id": "01928f4e-7b3a-7c1d-9e2f-3a4b5c6d7e8f",    "methodId": 1,    "accountId": 1,    "currencyCode": 978,    "amount": "100.50",    "formId": "550e8400-e29b-41d4-a716-446655440000",    "encryptedInput": "eyJhbGciOiJSU0EtT0FFUCJ9"  }'
{  "id": "01928f4e-7b3a-7c1d-9e2f-3a4b5c6d7e8f",  "confirmationChannel": "email"}
{  "error": {    "message": "Bad Request",    "details": [      {        "issue": "The selected value is invalid.",        "field": "parameter",        "name": "email_domain_not_found"      }    ]  }}
{  "error": {    "message": "Unauthorized"  }}
{  "errors": [    {      "name": "Error name",      "description": "Description",      "args": {}    }  ]}
{  "errors": [    {      "name": "Error name",      "description": "Description",      "args": {}    }  ]}
{  "error": {    "message": "Too Many Requests"  }}
{  "error": {    "message": "Access from this country is restricted",    "details": {      "ip": "203.0.113.42",      "country": "RU"    }  }}
{  "errors": [    {      "name": "Error name",      "description": "Description",      "args": {}    }  ]}
{  "errors": [    {      "name": "Error name",      "description": "Description",      "args": {}    }  ]}